Upstream information

CVE-2020-26117 at MITRE

Description

In rfb/CSecurityTLS.cxx and rfb/CSecurityTLS.java in TigerVNC before 1.11.0, viewers mishandle TLS certificate exceptions. They store the certificates as authorities, meaning that the owner of a certificate could impersonate any server after a client had added an exception.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 9.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1176733 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
HPE-Helion-OpenStack-8-2020-2898
SUSE Enterprise Storage 5
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-Storage-5-2020-2898
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libXvnc1 >= 1.8.0-13.14.1
  • tigervnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc-novnc >= 1.8.0-13.14.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-2882
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libXvnc1 >= 1.9.0-19.9.1
  • tigervnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-module >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-2880
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libXvnc1 >= 1.9.0-19.9.1
  • tigervnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-module >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-2880
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libXvnc-devel >= 1.9.0-19.9.1
  • tigervnc >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-2880
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libXvnc-devel >= 1.9.0-19.9.1
  • tigervnc >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2020-2880
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • tigervnc >= 1.9.0-19.9.1
  • tigervnc-x11vnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-java >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2880
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • tigervnc >= 1.9.0-19.9.1
  • tigervnc-x11vnc >= 1.9.0-19.9.1
  • xorg-x11-Xvnc-java >= 1.9.0-19.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2880
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-2898
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-2898
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-2898
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-2898
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-2898
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-2898
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-2898
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-2881
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-2881
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2881
SUSE Linux Enterprise Server 15-LTSS
  • libXvnc1 >= 1.8.0-13.14.1
  • tigervnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc-novnc >= 1.8.0-13.14.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-2882
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-2898
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-2898
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-2881
SUSE Linux Enterprise Server for SAP Applications 15
  • libXvnc1 >= 1.8.0-13.14.1
  • tigervnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc >= 1.8.0-13.14.1
  • xorg-x11-Xvnc-novnc >= 1.8.0-13.14.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-2882
SUSE OpenStack Cloud 7
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-2898
SUSE OpenStack Cloud 8
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-2898
SUSE OpenStack Cloud 9
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-2881
SUSE OpenStack Cloud Crowbar 8
  • libXvnc1 >= 1.6.0-27.1
  • tigervnc >= 1.6.0-27.1
  • xorg-x11-Xvnc >= 1.6.0-27.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-2898
SUSE OpenStack Cloud Crowbar 9
  • libXvnc1 >= 1.6.0-22.17.1
  • tigervnc >= 1.6.0-22.17.1
  • xorg-x11-Xvnc >= 1.6.0-22.17.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-2881
openSUSE Leap 15.1
  • libXvnc-devel >= 1.9.0-lp151.4.9.1
  • libXvnc1 >= 1.9.0-lp151.4.9.1
  • libXvnc1-debuginfo >= 1.9.0-lp151.4.9.1
  • tigervnc >= 1.9.0-lp151.4.9.1
  • tigervnc-debuginfo >= 1.9.0-lp151.4.9.1
  • tigervnc-debugsource >= 1.9.0-lp151.4.9.1
  • tigervnc-x11vnc >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc-debuginfo >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc-java >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc-module >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc-module-debuginfo >= 1.9.0-lp151.4.9.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-lp151.4.9.1
Patchnames:
openSUSE-2020-1841
openSUSE Leap 15.2
  • libXvnc-devel >= 1.9.0-lp152.7.3.1
  • libXvnc1 >= 1.9.0-lp152.7.3.1
  • libXvnc1-debuginfo >= 1.9.0-lp152.7.3.1
  • tigervnc >= 1.9.0-lp152.7.3.1
  • tigervnc-debuginfo >= 1.9.0-lp152.7.3.1
  • tigervnc-debugsource >= 1.9.0-lp152.7.3.1
  • tigervnc-x11vnc >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc-debuginfo >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc-java >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc-module >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc-module-debuginfo >= 1.9.0-lp152.7.3.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-lp152.7.3.1
Patchnames:
openSUSE-2020-1666


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 tigervnc Affected
SUSE Enterprise Storage 5 tigervnc Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem tigervnc Released
SUSE Linux Enterprise 15-SP1 Module for Desktop Applications tigervnc Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem tigervnc Released
SUSE Linux Enterprise 15-SP2 Module for Desktop Applications tigervnc Released
SUSE Linux Enterprise High Performance Computing 12 SP5 tigervnc Released
SUSE Linux Enterprise High Performance Computing 15 LTSS tigervnc Affected
SUSE Linux Enterprise Point of Service Image Server 12 tigervnc Affected
SUSE Linux Enterprise Server 12 SP2 BCL tigervnc Affected
SUSE Linux Enterprise Server 12 SP2 LTSS tigervnc Affected
SUSE Linux Enterprise Server 12 SP3 BCL tigervnc Affected
SUSE Linux Enterprise Server 12 SP3 LTSS tigervnc Affected
SUSE Linux Enterprise Server 12 SP4 LTSS tigervnc Affected
SUSE Linux Enterprise Server 12 SP5 tigervnc Released
SUSE Linux Enterprise Server 15 LTSS tigervnc Affected
SUSE Linux Enterprise Server ESPOS 15 tigervnc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tigervnc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tigervnc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tigervnc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tigervnc Released
SUSE Linux Enterprise Server for SAP Applications 15 tigervnc Affected
SUSE OpenStack Cloud 7 tigervnc Affected
SUSE OpenStack Cloud 8 tigervnc Affected
SUSE OpenStack Cloud 9 tigervnc Affected
SUSE OpenStack Cloud Crowbar 8 tigervnc Affected
SUSE OpenStack Cloud Crowbar 9 tigervnc Affected